Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.uicli.binding
Class JUCtrlActionBindingAdapter

`java.lang.Object
oracle.jbo.uicli.binding.JUCtrlActionBindingAdapter`

All Implemented Interfaces:
  JUCtrlActionBindingListener

Direct Known Subclasses:
  JUActionBindingAdapter

public class JUCtrlActionBindingAdapter
extends java.lang.Object
implements JUCtrlActionBindingListener

Default adapter for JUCtrlActionBindingListener event.

Constructor Summary
`JUCtrlActionBindingAdapter()`

Method Summary
`void` | `afterActionPerformed(JUCtrlActionBindingEvent ev)` Notifies all listeners, so that they may implement necessary updates and invalidations on the UI side as a reaction to a performed action.
`void` | `beforeActionPerformed(JUCtrlActionBindingEvent ev)` Notifies all listeners, so that they may prepare any necessary data for the current action, before the action is performed

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JUCtrlActionBindingAdapter

    public JUCtrlActionBindingAdapter()

Method Detail

### beforeActionPerformed

    public void beforeActionPerformed(JUCtrlActionBindingEvent ev)

  Description copied from interface: `JUCtrlActionBindingListener`
  Notifies all listeners, so that they may prepare any necessary data for the current action, before the action is performed
  Specified by:
    `beforeActionPerformed` in interface `JUCtrlActionBindingListener`

### afterActionPerformed

    public void afterActionPerformed(JUCtrlActionBindingEvent ev)

  Description copied from interface: `JUCtrlActionBindingListener`
  Notifies all listeners, so that they may implement necessary updates and invalidations on the UI side as a reaction to a performed action.
  Specified by:
    `afterActionPerformed` in interface `JUCtrlActionBindingListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.